Subject: Re: [PATCH v3 0/9] submodule: convert the rest of 'update' to C

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Oct 2021 17:05:58 -0700

Atharva Raykar <[email-masked]> writes:

> I have attempted to make a version of this series that is based on that topic [2],
> and added the superproject gitdir caching code in C [3]. It passes the tests,
> but I am not too confident about its correctness. I hope that branch can be
> helpful in some way.
>
> [1] https://lore.kernel.org/git/[email-masked]/
> [2] https://github.com/tfidfwastaken/git/commits/submodule-update-on-es-superproject-aware
>     (fetch-it-via: git fetch https://github.com/tfidfwastaken/git submodule-update-on-es-superproject-aware)
> [3] https://github.com/tfidfwastaken/git/blob/a74aaf2540c536970f2541d3042c825f82a69770/builtin/submodule--helper.c#L2922-L2930

The "C rewrite" of the code [3] that unconditionally sets of the
submodule.superprojectgitdir varible seems straightforward enough.

Emily, how solid do you think your "superproject aware submodule"
topic already is?  Would it be stable enough to build other things
on top, or is it a bit too premature?